package com.qmth.sop.task.job.service;

import com.qmth.sop.common.enums.JobEnum;

/**
 * @Description: job service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public interface JobService {

    /**
     * 流程任务提醒task
     */
    void flowTaskRemindTask();

    /**
     * 设置定时任务时间
     *
     * @param finishTime
     * @param jobName
     * @param o
     * @param cls
     * @param jobEnum
     */
    void setJobTime(Long finishTime, String jobName, Object o, Class cls, JobEnum jobEnum);

    /**
     * 序列重置
     */
    void sequenceReset();

    /**
     * 纷享销客派单同步
     */
    void fxxkCrmSync() throws Exception;

    /**
     * 软通智服用户推送同步
     *
     * @throws Exception 异常
     */
    void rtzfUserPush() throws Exception;

    /**
     * 软通智服用户更新同步
     *
     * @throws Exception 异常
     */
    void rtzfUserUpdate() throws Exception;

    /**
     * 自动打卡定时任务
     */
    void autoAddDingRecord();
}